<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:f="jakarta.faces.core"
	xmlns:h="jakarta.faces.html" xmlns:ui="jakarta.faces.facelets"
	xmlns:p="http://primefaces.org/ui">
<head>
<title></title>
</head>
<body>
	<f:view>
		<f:metadata>
			<f:viewParam name="id" value="#{userShowPublicProjectBean.id}" />
		</f:metadata>

		<ui:composition template="/template/default.xhtml">
			<ui:param name="title" value="#{messages.title}" />

			<ui:define name="content">
				<h:form id="form" styleClass="full">

					<h2>
						<h:outputText
							value="#{messages['project.local_project']}: #{userShowPublicProjectBean.entity.name}" />
					</h2>

					<p:messages id="messageBox" showDetail="true" />

					<h:panelGrid style="margin-top:1em;" id="baseData" columns="2"
						layout="flex"
						columnClasses="col-12 md:col-3 xl:col-3, col-12 md:col-9 xl:col-9">

						<h:outputText value="#{messages.name}:" />
						<h:outputText value="#{userShowPublicProjectBean.entity.name}" />

						<h:outputText value="#{messages.group_name}:" />
						<h:outputText
							value="#{userShowPublicProjectBean.entity.groupName}" />

						<h:outputText value="#{messages['project.short_description']}:" />
						<h:outputText
							value="#{userShowPublicProjectBean.entity.shortDescription}" />

						<h:outputText value="#{messages['project.long_description']}:" />
						<h:outputText
							value="#{userShowPublicProjectBean.entity.description}" />

						<h:outputText value="#{messages.status}:" />
						<h:outputText value="#{userShowPublicProjectBean.getStatus()}" />
						<h:outputText value="#{messages.reason}:" />
						<h:outputText value="#{userShowPublicProjectBean.getApprovalDenyReason()}" />
						
						<h:outputText
							value="#{messages['project.local_project.parent_vo']}:"
							rendered="#{userShowPublicProjectBean.entity.parentProject != null}" />
						<h:panelGroup layout="block" styleClass="text"
							rendered="#{userShowPublicProjectBean.entity.parentProject != null}">
							<h:outputLink value="show-local-project.xhtml">
								<h:outputText
									value="#{userShowPublicProjectBean.entity.parentProject.name}" />
								<f:param name="id"
									value="#{userShowPublicProjectBean.entity.parentProject.id}" />
							</h:outputLink>
						</h:panelGroup>

						<h:outputText
							value="#{messages['project.local_project.children']}:"
							rendered="#{userShowPublicProjectBean.entity.childProjects != null and userShowPublicProjectBean.entity.childProjects.size() > 0}" />
						<h:panelGroup layout="block" styleClass="text"
							rendered="#{userShowPublicProjectBean.entity.childProjects != null and userShowPublicProjectBean.entity.childProjects.size() > 0}">
							<ul>
								<ui:repeat
									value="#{userShowPublicProjectBean.entity.childProjects}"
									var="s">
									<li><h:outputLink value="show-local-project.xhtml">
											<h:outputText value="#{s.name}" />
											<f:param name="id" value="#{s.id}" />
										</h:outputLink></li>
								</ui:repeat>
							</ul>
						</h:panelGroup>

					</h:panelGrid>

					<h:panelGrid columns="2" layout="flex"
						columnClasses="col-12 md:col-3 xl:col-3, col-12 md:col-9 xl:col-9"
						rendered="#{not empty userShowPublicProjectBean.entity.approved or userShowPublicProjectBean.entity.subProjectsAllowed}">

						<h:outputText
							value="#{messages['project.show_local_project.create_sub_project_text']}"
							rendered="#{userShowPublicProjectBean.entity.subProjectsAllowed}" />
					</h:panelGrid>


					<br />

					<p:commandButton id="apply"
						rendered="#{userShowPublicProjectBean.status == 'NOT APPLIED' or userShowPublicProjectBean.status == 'DECLINED'}"
						icon="fa fa-check-square" ajax="true"
						style="width: 35px; height: 35px;"
						onclick="PF('confirmApply').show()" />
					<p:tooltip for="apply"
						value="#{messages['tooltip.apply_for_project']}" showEffect="clip"
						position="bottom" hideEffect="fold" />

					<h:outputText value="&nbsp;" />

					<p:commandButton id="delete"
						rendered="#{userShowPublicProjectBean.status == 'MEMBER' or userShowPublicProjectBean.status == 'APPLICANT'}"
						icon="fa fa-trash" ajax="true" style="width: 35px; height: 35px;"
						onclick="PF('confirmDelete').show()" />
					<p:tooltip for="delete"
						value="#{messages['tooltip.delete_for_project']}"
						showEffect="clip" position="bottom" hideEffect="fold" />

					<p:confirmDialog message="#{messages['confirm_apply']}"
						widgetVar="confirmApply" class="form">
						<h:outputText value="#{messages['confirm_apply_reason']}:" />
						<h:inputTextarea row="10" col="10"
							value="#{userShowPublicProjectBean.reason}" />
						<p:commandButton value="#{messages['apply']}"
							actionListener="#{userShowPublicProjectBean.applyForExistingProjects()}"
							update="form" oncomplete="PF('confirmApply').hide()" />
						<p:commandButton value="#{messages['cancel']}"
							onclick="PF('confirmApply').hide();" type="button" />
					</p:confirmDialog>


					<p:confirmDialog
						message="#{messages['confirm_delete_project_membership']}"
						widgetVar="confirmDelete" class="form">
						<p:commandButton value="#{messages['yes']}"
							actionListener="#{userShowPublicProjectBean.deleteProjectMembership()}"
							update="form" oncomplete="PF('confirmDelete').hide()" />
						<p:commandButton value="#{messages['no']}"
							onclick="PF('confirmDelete').hide();" type="button" />
					</p:confirmDialog>

					<br />
					<div class="text full" style="margin-top: 0.4em;">
						<a href="list-public-projects.xhtml"><h:outputText
								value="#{messages.back}" /></a>
					</div>

				</h:form>

			</ui:define>
		</ui:composition>
	</f:view>
</body>
</html>
